package com.bytesw.bytebot.model.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
public enum AgentParameterEnum {
    ACCESS_ID("account-identifier"),
    ACCESS_TOKEN("authentication-token"),
    ACCESS_TWILIO("twillio-number");

    private static final Map<String, AgentParameterEnum> map = new HashMap<>();

    private String name;

    AgentParameterEnum(String name){ this.name = name;}

    public  String getName() {return name;}

    static {
        for (AgentParameterEnum type : AgentParameterEnum.values()) {
            map.put(type.name, type);
        }
    }
    public static AgentParameterEnum fromString(String name) {
        return map.get(name);
    }
}
